%bcond_with docs

Summary:        Building blocks for modern adaptive GNOME apps
Name:           libhandy
Version:        1.8.0
Release:        6%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libhandy
Source0:        https://download.gnome.org/sources/%{name}/1.8/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson vala
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(gmodule-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.24.1
BuildRequires:  xorg-x11-server-Xvfb
%if %{with docs}
BuildRequires:  gi-docgen
%endif
Provides:       libhandy1 = %{version}-%{release}

%description
libhandy provides GTK+ widgets and GObjects to ease developing
applications for mobile phones.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       libhandy1-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%meson \
%if %{with docs}
	-Dgtk_doc=true \
%else
	-Dgtk_doc=false \
%endif
	-Dexamples=false \
	-Dtests=true
%meson_build

%install
%meson_install

%find_lang libhandy

%check
%define _smp_build_ncpus 1
%{shrink:xvfb-run -w 10 -d %meson_test}

%files -f libhandy.lang
%license COPYING
%doc AUTHORS HACKING.md NEWS README.md
%{_libdir}/girepository-1.0/
%{_libdir}/libhandy-1.so.0

%files devel
%if %{with docs}
%doc %{_datadir}/doc/libhandy-1/
%endif
%{_includedir}/libhandy-1/
%{_libdir}/glade/
%{_libdir}/libhandy-1.so
%{_libdir}/pkgconfig/libhandy-1.pc
%{_datadir}/gir-1.0/
%{_datadir}/glade/
%{_datadir}/vala/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.8.0-1
- Initial build
